import { $t } from "@/plugins/i18n";
import { table } from "@/router/enums";

export default {
  path: "/pure-table",
  redirect: "/pure-table/index",
  meta: {
    icon: "ri:table-line",
    title: "pure-admin-table",
    rank: table
  },
  children: [
    {
      path: "/pure-table/index",
      name: "PureTable",
      component: () => import("@/views/pure-table/index.vue"),
      meta: {
        title: $t("menus.hsPureTableBase")
      }
    },
    {
      path: "/pure-table/high",
      name: "PureTableHigh",
      component: () => import("@/views/pure-table/high.vue"),
      meta: {
        title: $t("menus.hsPureTableHigh")
      }
    },
    {
      path: "/pure-table/edit",
      name: "PureTableEdit",
      component: () => import("@/views/pure-table/edit.vue"),
      meta: {
        title: $t("menus.hsPureTableEdit"),
        extraIcon: "IF-pure-iconfont-new svg"
      }
    }
  ]
} satisfies RouteConfigsTable;
